#!/bin/bash

export OS_CLOUD=sto4-rut
SERVER_LIST=$(openstack server list -f json | jq -r '.[] | {Name: .Name, IPv4: .Networks.public[] | select(test("^[0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+$")), IPv6: .Networks.public[] | select(test("^[0-9a-fA-F:]+$"))} | [ .Name, .IPv4, .IPv6 ] | @csv' | tr -d '"')

DOMAIN="rut.sunet.se"

while IFS=',' read -r name ipv4 ipv6; do
	echo "knotctl add -r A -z $DOMAIN -n $name. -d $ipv4"
	echo "knotctl add -r AAAA -z $DOMAIN -n $name. -d $ipv6"
done <<< "$SERVER_LIST"
